/**
	******************************************************************************
	* @file
	* @author
	* @version
	* @date
	* @brief
	* @function List:
	******************************************************************************
	* @attention
	*
	*
	* <h2><center>&copy; COPYRIGHT 2021 </center></h2>
	******************************************************************************
	* @History:
	* @Author:
	* @Data:
	* @Version:
*/

/*******************************************************************************
*   Includes
*******************************************************************************/
#include "Com.h"
#include "crc.h"


/*******************************************************************************
*   for Com_SendSignal
*******************************************************************************/
void  COM_SendSig_SWS_R_SID(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_SID=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_SID);
}
void  COM_SendSig_SWS_R_Multimedia(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_Multimedia=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_MULTIMEDIA);
}
void  COM_SendSig_SWS_R_Meter_menu(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_Meter_menu=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_METER_MENU);
}
void  COM_SendSig_SWS_R_voicd_expand(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_voicd_expand = (*(uint8 *)SigValue);
    Com_SetSendRequest(COM_TX_SIGSWS_R_VOICD_EXPAND);
}

void  COM_SendSig_SWS_R_voicd_expand_2(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_voicd_expand_2=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_VOICD_EXPAND_2);
}

void  COM_SendSig_SWS_R_LEFT_Menu(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_LEFT_Menu=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_LEFT_MENU);
}

void  COM_SendSig_SWS_R_paddle_shift(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_paddle_shift=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_PADDLE_SHIFT);
}
void  COM_SendSig_SWS_R_cruise(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_cruise=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_CRUISE);
}
void  COM_SendSig_SWS_R_auto_show_in(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_auto_show_in=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_AUTO_SHOW_IN);
}
void  COM_SendSig_SWS_R_auto_show_out(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_auto_show_out=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_AUTO_SHOW_OUT);
}
void  COM_SendSig_SWS_R_mileage_clear(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_mileage_clear=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_MILEAGE_CLEAR);
}
void  COM_SendSig_SWS_Media_Reset(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_Media_Reset=(*(COM_CONST uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_MEDIA_RESET);
}

void  COM_SendSig_SWS_Other_Recover(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_Other_Recover=(*(COM_CONST uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_OTHER_RECOVER);
}
void  COM_SendSig_SWS_R_checksum(COM_CONST void* SigValue)
{
	TxIpduSteering_RIGHT_switch_4A8.IpduSteering_RIGHT_switch_4A8.SWS_R_checksum=(*(uint8 *)SigValue);
	Com_SetSendRequest(COM_TX_SIGSWS_R_CHECKSUM);
}




void  COM_SendSig_SWS_L_Dis_set(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Dis_set=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}
void  COM_SendSig_SWS_L_Spd_set(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Spd_set=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}
void  COM_SendSig_SWS_L_Cancel_dipilot(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Cancel_dipilot=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}
void  COM_SendSig_SWS_L_Cruise_spd_limit(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Cruise_spd_limit=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_reset(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_reset=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_Cruise_fault(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Cruise_fault=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_set(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_set=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}
void  COM_SendSig_SWS_L_Dsp_sub(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Dsp_sub=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_Dsp_plus(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Dsp_plus=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_Lane_line_assist(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Lane_line_assist=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_cruise_set(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_cruise_set=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_acc(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_acc=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_Left_pick(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Left_pick=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_Right_pick(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_Right_pick=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_rolling_count(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_rolling_count=(*(uint8 *)SigValue);
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum = crc_8_for_sa3f(&(TxIpduSteering_LEFT_switch_3B0._c[0]), 7);
}

void  COM_SendSig_SWS_L_checksum(COM_CONST void* SigValue)
{
	TxIpduSteering_LEFT_switch_3B0.IpduSteering_LEFT_switch_3B0.SWS_L_checksum=(*(uint8 *)SigValue);
}







void  COM_SendSig_SWS_C_vibration_cfg(COM_CONST void* SigValue)
{
	TxIpduSteering_customization_switch_429.IpduSteering_customization_switch_429.SWS_C_vibration_cfg=(*(uint8 *)SigValue);  
}

void  COM_SendSig_SWS_C_vibration_state(COM_CONST void* SigValue)
{
	TxIpduSteering_customization_switch_429.IpduSteering_customization_switch_429.SWS_C_vibration_state=(*(uint8 *)SigValue);
}

void  COM_SendSig_SWS_C_Heat_cfg(COM_CONST void* SigValue)
{
	TxIpduSteering_customization_switch_429.IpduSteering_customization_switch_429.SWS_C_Heat_cfg=(*(uint8 *)SigValue);
}

void  COM_SendSig_SWS_C_swh_state(COM_CONST void* SigValue)
{
	TxIpduSteering_customization_switch_429.IpduSteering_customization_switch_429.SWS_C_swh_state=(*(uint8 *)SigValue);
}


void  COM_SendSig_SWS_C_sws_cfg(COM_CONST void* SigValue)
{
	TxIpduSteering_customization_switch_429.IpduSteering_customization_switch_429.SWS_C_sws_cfg=(*(uint8 *)SigValue);
}
void  COM_SendSig_SWS_C_auto_heat(COM_CONST void* SigValue)
{
	TxIpduSteering_customization_switch_429.IpduSteering_customization_switch_429.SWS_C_auto_heat=(*(uint8 *)SigValue);
}
void  COM_SendSig_SWS_C_heat_gear(COM_CONST void* SigValue)
{
	TxIpduSteering_customization_switch_429.IpduSteering_customization_switch_429.SWS_C_heat_gear=(*(uint8 *)SigValue);
}
void  COM_SendSig_SWS_C_heat_gear_cfg(COM_CONST void* SigValue)
{
	TxIpduSteering_customization_switch_429.IpduSteering_customization_switch_429.SWS_C_heat_gear_cfg=(*(uint8 *)SigValue);
}


#if (COM_TXIPDUNUM>=1)  //�l����̖���P
COM_CONST COM_SendSignalFun COM_SendSignalFunPrt[COM_TXSIGNUM]=
{
	COM_SendSig_SWS_R_SID,
	COM_SendSig_SWS_R_Multimedia,
	COM_SendSig_SWS_R_Meter_menu,
	COM_SendSig_SWS_R_voicd_expand,
	COM_SendSig_SWS_R_voicd_expand_2,
	COM_SendSig_SWS_R_LEFT_Menu,
	COM_SendSig_SWS_R_paddle_shift,
	COM_SendSig_SWS_R_cruise,
	COM_SendSig_SWS_R_auto_show_in,
	COM_SendSig_SWS_R_auto_show_out,
	COM_SendSig_SWS_R_mileage_clear,
	COM_SendSig_SWS_Media_Reset,
	COM_SendSig_SWS_Other_Recover,
	COM_SendSig_SWS_R_checksum,
	COM_SendSig_SWS_L_Dis_set,
	COM_SendSig_SWS_L_Spd_set,
	COM_SendSig_SWS_L_Cancel_dipilot,
	COM_SendSig_SWS_L_Cruise_spd_limit,
	COM_SendSig_SWS_L_reset,
	COM_SendSig_SWS_L_Cruise_fault,
	COM_SendSig_SWS_L_set,
	COM_SendSig_SWS_L_Dsp_sub,
	COM_SendSig_SWS_L_Dsp_plus,
	COM_SendSig_SWS_L_Lane_line_assist,
	COM_SendSig_SWS_L_cruise_set,
	COM_SendSig_SWS_L_acc,
	COM_SendSig_SWS_L_Left_pick,
	COM_SendSig_SWS_L_Right_pick,
	COM_SendSig_SWS_L_rolling_count,
	COM_SendSig_SWS_L_checksum,
	COM_SendSig_SWS_C_vibration_cfg,
	COM_SendSig_SWS_C_vibration_state,
	COM_SendSig_SWS_C_Heat_cfg,
	COM_SendSig_SWS_C_swh_state,
	COM_SendSig_SWS_C_sws_cfg,
	COM_SendSig_SWS_C_auto_heat,
	COM_SendSig_SWS_C_heat_gear,
	COM_SendSig_SWS_C_heat_gear_cfg
};
#endif



/*******************************************************************************
*   for Com_ReceiveSignal
*******************************************************************************/
//mpc
void  COM_ReceiveSigMPC_L_lt_status(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMPC_316.IpduMPC_316.MPC_L_lt_status;
}
void  COM_ReceiveSigMPC_R_lt_status(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMPC_316.IpduMPC_316.MPC_R_lt_status;
}
void  COM_ReceiveSigMPC_Ld_alarm_mode_sta(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMPC_316.IpduMPC_316.MPC_Ld_alarm_mode_sta;
}

//meter
void  COM_ReceiveSigMETER_BackgroundLightLvlCmd(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMETER_055.IpduMETER_055.METER_BackgroundLightLvlCmd;
}

//bcm1
void  COM_ReceiveSigBCM1_power_gear(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduBCM_1_12D.IpduBCM_1_12D.BCM1_power_gear;
}
void  COM_ReceiveSigBCM1_vehicle_state(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduBCM_1_12D.IpduBCM_1_12D.BCM1_vehicle_state;
}
void  COM_ReceiveSigBCM1_vehicle_state1(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduBCM_1_12D.IpduBCM_1_12D.BCM1_vehicle_state1;
}
//bcm2
void  COM_ReceiveSigBCM2_nm_sleep_state(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduBCM_2_50D.IpduBCM_2_50D.BCM2_nm_sleep_state;
}



//4g mod
void  COM_ReceiveSigMOD_4G_Ecl_power_req(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMOD_4G_49A.IpduMOD_4G_49A.MOD_4G_Ecl_power_req;
}
void  COM_ReceiveSigMOD_4G_ota_light_req(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMOD_4G_49A.IpduMOD_4G_49A.MOD_4G_ota_light_req;
}

void  COM_ReceiveSigMOD_4G_enter_ota_mode_req(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMOD_4G_49A.IpduMOD_4G_49A.MOD_4G_enter_ota_mode_req;
}

void  COM_ReceiveSigMOD_4G_ota_update_req(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMOD_4G_49A.IpduMOD_4G_49A.MOD_4G_ota_update_req;
}

void  COM_ReceiveSigMOD_4G_checksum(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMOD_4G_49A.IpduMOD_4G_49A.MOD_4G_checksum;
}



//multi
void  COM_ReceiveSigMULTIMEDIA_Sw_heat(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMultimedia_385.IpduMultimedia_385.MULTIMEDIA_Sw_heat;
}


//cloud service
void  COM_ReceiveSigCloud_Service_remote_cmd(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpdCloud_services_0A2.IpduCloud_services_0A2.Cloud_Service_remote_cmd;
}

//cloud service
void  COM_ReceiveSigCloud_Service_Sw_heat(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpdCloud_services_0A2.IpduCloud_services_0A2.Cloud_Service_Sw_heat;
}

//bcm evp2
void  COM_ReceiveSigBCM_EVP2_vehicle_state(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduBCM_EvP2_394.IpduBCM_EvP2_394.BCM_EVP2_vehicle_state;
}

//air condition ctrl
void  COM_ReceiveSigAIR_CD_ctrl_temp_show(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduAir_condition_ctrl_2DB.IpduAir_condition_ctrl_2DB.AIR_CD_ctrl_temp_show;
}


void  COM_ReceiveSigVCU_ECM_Vehicle_code_s(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduVCU_40D.IpduVCU_40D.VCU_ECM_Vehicle_code_s;
}

//vcu
void  COM_ReceiveSigBCM_L_nm_type(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduBCM_L_407.IpduBCM_L_407.BCM_L_nm_type;
}


//BCM L
void  COM_ReceiveSigMETER1_BackgroundLightLvlCmd(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMETER_1_dir_4BF.IpduMETER_1_dir_4BF.METER1_BackgroundLightLvlCmd;
}

void  COM_ReceiveSigThe_Limit_Acc(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduMETER_1_dir_4BF.IpduMETER_1_dir_4BF.The_Limit_Acc;
}
//METER 1 DIR
void  COM_ReceiveSigBCM_R_air_temp_show(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduBCM_R_4E6.IpduBCM_R_4E6.BCM_R_air_temp_show;
}

//BCM R
void  COM_ReceiveSigHEAT_subid(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduHEAT_4C1.IpduHEAT_4C1.HEAT_subid;
}

//HEAT_SUB_ID
void  COM_ReceiveSigHEAT_auto_heat(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduHEAT_4C1.IpduHEAT_4C1.HEAT_auto_heat;
}

//HEAT_AUTO
void  COM_ReceiveSigHEAT_heat_gear(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduHEAT_4C1.IpduHEAT_4C1.HEAT_heat_gear;
}

//HEAT_GEAR
void  COM_ReceiveSigADS_ACC_Mode_Displayl(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduADS_29C.IpduADS_29C.ADS_ACC_Mode_Displayl;
}
//DNP_STATS

//DNP_WARNING
void  COM_ReceiveSigADS_DNP_Stats(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduADS_29C.IpduADS_29C.ADS_DNP_Stats;
}

void  COM_ReceiveSigADS_DNP_Take_Over_Req_S(void* SigValue)
{
	(*(uint8 *)SigValue) = RxIpduADS_29C.IpduADS_29C.ADS_DNP_Take_Over_Req_S;
}




/*PRQA S 1503--*/

#if (COM_RXIPDUNUM>=1)
COM_CONST COM_ReceivedSignalFun COM_ReceivedSignalFunPrt[COM_RXSIGNUM]={
	COM_ReceiveSigMPC_L_lt_status,
	COM_ReceiveSigMPC_R_lt_status,
	COM_ReceiveSigMPC_Ld_alarm_mode_sta,
	COM_ReceiveSigMETER_BackgroundLightLvlCmd,
	COM_ReceiveSigBCM1_power_gear,
	COM_ReceiveSigBCM1_vehicle_state,
	COM_ReceiveSigBCM1_vehicle_state1,
	COM_ReceiveSigBCM2_nm_sleep_state,
	COM_ReceiveSigMOD_4G_Ecl_power_req,
	COM_ReceiveSigMOD_4G_ota_light_req,
	COM_ReceiveSigMOD_4G_enter_ota_mode_req,
	COM_ReceiveSigMOD_4G_ota_update_req,
	COM_ReceiveSigMOD_4G_checksum,
	COM_ReceiveSigMULTIMEDIA_Sw_heat,
	COM_ReceiveSigCloud_Service_remote_cmd,
	COM_ReceiveSigCloud_Service_Sw_heat,
	COM_ReceiveSigBCM_EVP2_vehicle_state,
	COM_ReceiveSigAIR_CD_ctrl_temp_show,
	COM_ReceiveSigVCU_ECM_Vehicle_code_s,
	COM_ReceiveSigBCM_L_nm_type,
	COM_ReceiveSigMETER1_BackgroundLightLvlCmd,
	COM_ReceiveSigThe_Limit_Acc,
	COM_ReceiveSigBCM_R_air_temp_show,
	COM_ReceiveSigHEAT_subid,
	COM_ReceiveSigHEAT_auto_heat,
	COM_ReceiveSigHEAT_heat_gear,
	COM_ReceiveSigADS_ACC_Mode_Displayl,
	COM_ReceiveSigADS_DNP_Stats,
	COM_ReceiveSigADS_DNP_Take_Over_Req_S,
};
#endif
